import java.util.ArrayList;

public class Student {
    private String name;
    private String surname;
    private ArrayList<Double> gradesList;

    public Student(String name, String surname, ArrayList<Double> gradesList) {
        this.name = name;
        this.surname = surname;
        this.gradesList = gradesList;
    }

    public Student(String name, String surname) {
        this.name = name;
        this.surname = surname;
        this.gradesList = new ArrayList<>();
    }

    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    public ArrayList<Double> getGradesList() {
        return gradesList;
    }

    public void setGradesList(ArrayList<Double> gradesList) {
        this.gradesList = gradesList;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public double calculateFinalGrade() {
        if(gradesList.isEmpty()){
            return -1;
        }
        double sum = 0;
        for (double grade : gradesList) {
            sum += grade;
        }
        return sum/gradesList.size();
    }

}